// Verilog netlist produced by program LSE :  version Diamond (64-bit) 3.12.1.454
// Netlist written on Sat Sep 23 12:00:26 2023
//
// Verilog Description of module top
//

module top (Reset, Play_i, Stop_i, SoundWave_o, Busy_o) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs16/impl1/source/top.v(4[8:11])
    input Reset;   // c:/lattice/kurs16/impl1/source/top.v(5[14:19])
    input Play_i;   // c:/lattice/kurs16/impl1/source/top.v(6[14:20])
    input Stop_i;   // c:/lattice/kurs16/impl1/source/top.v(7[14:20])
    output SoundWave_o;   // c:/lattice/kurs16/impl1/source/top.v(9[14:25])
    output Busy_o;   // c:/lattice/kurs16/impl1/source/top.v(10[14:20])
    
    wire Clock /* synthesis is_clock=1, SET_AS_NETWORK=Clock */ ;   // c:/lattice/kurs16/impl1/source/top.v(15[7:12])
    
    wire GND_net, VCC_net, Reset_c, Play_i_c, Stop_i_c, SoundWave_o_c, 
        Busy_o_c, n40, TickMicro;
    wire [15:0]HalfPeriodCopy;   // c:/lattice/kurs16/impl1/source/sound_generator.v(73[13:27])
    wire [15:0]DurationTimer_15__N_55;
    wire [15:0]DurationTimer_15__N_5;
    
    wire n37, n205, n206, n209, n31;
    wire [15:0]HalfPeriodTimer_15__N_39;
    
    wire Strobe_o_N_128, Strobe_o_N_140, n387, Clock_enable_1, Clock_enable_6, 
        Clock_enable_11;
    
    VHI i237 (.Z(VCC_net));
    OSCH OSCH_inst (.STDBY(GND_net), .OSC(Clock)) /* synthesis syn_instantiated=1 */ ;
    defparam OSCH_inst.NOM_FREQ = "14.00";
    LUT4 i222_2_lut_2_lut_3_lut_3_lut (.A(Play_i_c), .B(Strobe_o_N_140), 
         .C(Busy_o_c), .Z(n40)) /* synthesis lut_function=(A (B+!(C))+!A (B)) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i222_2_lut_2_lut_3_lut_3_lut.init = 16'hcece;
    LUT4 i199_4_lut_4_lut (.A(Play_i_c), .B(n31), .C(n206), .D(HalfPeriodCopy[6]), 
         .Z(HalfPeriodTimer_15__N_39[5])) /* synthesis lut_function=((B (C)+!B (D))+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i199_4_lut_4_lut.init = 16'hf7d5;
    LUT4 i200_4_lut_4_lut (.A(Play_i_c), .B(n31), .C(n205), .D(HalfPeriodCopy[6]), 
         .Z(HalfPeriodTimer_15__N_39[6])) /* synthesis lut_function=((B (C)+!B (D))+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i200_4_lut_4_lut.init = 16'hf7d5;
    OB SoundWave_o_pad (.I(SoundWave_o_c), .O(SoundWave_o));   // c:/lattice/kurs16/impl1/source/top.v(9[14:25])
    OB Busy_o_pad (.I(Busy_o_c), .O(Busy_o));   // c:/lattice/kurs16/impl1/source/top.v(10[14:20])
    LUT4 i180_2_lut_2_lut (.A(Play_i_c), .B(DurationTimer_15__N_55[3]), 
         .Z(DurationTimer_15__N_5[3])) /* synthesis lut_function=((B)+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i180_2_lut_2_lut.init = 16'hdddd;
    LUT4 Busy_o_I_0_2_lut_rep_2_2_lut (.A(Play_i_c), .B(Busy_o_c), .Z(Clock_enable_6)) /* synthesis lut_function=((B)+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam Busy_o_I_0_2_lut_rep_2_2_lut.init = 16'hdddd;
    LUT4 i1_2_lut_3_lut_4_lut_4_lut (.A(Play_i_c), .B(HalfPeriodCopy[6]), 
         .C(TickMicro), .D(Busy_o_c), .Z(Clock_enable_11)) /* synthesis lut_function=((B (C (D)))+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i1_2_lut_3_lut_4_lut_4_lut.init = 16'hd555;
    LUT4 i181_2_lut_2_lut (.A(Play_i_c), .B(DurationTimer_15__N_55[5]), 
         .Z(DurationTimer_15__N_5[5])) /* synthesis lut_function=((B)+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i181_2_lut_2_lut.init = 16'hdddd;
    LUT4 i198_4_lut_4_lut (.A(Play_i_c), .B(n31), .C(n209), .D(HalfPeriodCopy[6]), 
         .Z(HalfPeriodTimer_15__N_39[2])) /* synthesis lut_function=((B (C)+!B (D))+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i198_4_lut_4_lut.init = 16'hf7d5;
    LUT4 i182_2_lut_2_lut (.A(Play_i_c), .B(DurationTimer_15__N_55[6]), 
         .Z(DurationTimer_15__N_5[6])) /* synthesis lut_function=((B)+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i182_2_lut_2_lut.init = 16'hdddd;
    LUT4 i183_2_lut_2_lut (.A(Play_i_c), .B(DurationTimer_15__N_55[7]), 
         .Z(DurationTimer_15__N_5[7])) /* synthesis lut_function=((B)+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i183_2_lut_2_lut.init = 16'hdddd;
    LUT4 i184_2_lut_2_lut (.A(Play_i_c), .B(DurationTimer_15__N_55[8]), 
         .Z(DurationTimer_15__N_5[8])) /* synthesis lut_function=((B)+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i184_2_lut_2_lut.init = 16'hdddd;
    LUT4 i185_2_lut_2_lut (.A(Play_i_c), .B(DurationTimer_15__N_55[9]), 
         .Z(DurationTimer_15__N_5[9])) /* synthesis lut_function=((B)+!A) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i185_2_lut_2_lut.init = 16'hdddd;
    IB Reset_pad (.I(Reset), .O(Reset_c));   // c:/lattice/kurs16/impl1/source/top.v(5[14:19])
    IB Play_i_pad (.I(Play_i), .O(Play_i_c));   // c:/lattice/kurs16/impl1/source/top.v(6[14:20])
    IB Stop_i_pad (.I(Stop_i), .O(Stop_i_c));   // c:/lattice/kurs16/impl1/source/top.v(7[14:20])
    GSR GSR_INST (.GSR(Reset_c));
    LUT4 Play_i_I_0_1_lut_rep_3 (.A(Play_i_c), .Z(Clock_enable_1)) /* synthesis lut_function=(!(A)) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam Play_i_I_0_1_lut_rep_3.init = 16'h5555;
    LUT4 i225_2_lut_2_lut_3_lut_3_lut (.A(Play_i_c), .B(Strobe_o_N_128), 
         .C(Busy_o_c), .Z(n37)) /* synthesis lut_function=(A (B+!(C))+!A (B)) */ ;   // c:/lattice/kurs16/impl1/source/top.v(30[12:19])
    defparam i225_2_lut_2_lut_3_lut_3_lut.init = 16'hcece;
    TSALL TSALL_INST (.TSALL(GND_net));
    PUR PUR_INST (.PUR(VCC_net));
    defparam PUR_INST.RST_PULSE = 1;
    LUT4 m1_lut (.Z(n387)) /* synthesis lut_function=1, syn_instantiated=1 */ ;
    defparam m1_lut.init = 16'hffff;
    \SoundGenerator(CLOCK_HZ=14000000)  DUT (.n31(n31), .Busy_o_c(Busy_o_c), 
            .Stop_i_c(Stop_i_c), .GND_net(GND_net), .TickMicro(TickMicro), 
            .\HalfPeriodCopy[6] (HalfPeriodCopy[6]), .Clock(Clock), .Clock_enable_1(Clock_enable_1), 
            .n387(n387), .SoundWave_o_c(SoundWave_o_c), .Play_i_c(Play_i_c), 
            .n206(n206), .n205(n205), .n209(n209), .\DurationTimer_15__N_55[9] (DurationTimer_15__N_55[9]), 
            .\DurationTimer_15__N_55[7] (DurationTimer_15__N_55[7]), .\DurationTimer_15__N_55[8] (DurationTimer_15__N_55[8]), 
            .\DurationTimer_15__N_55[5] (DurationTimer_15__N_55[5]), .\DurationTimer_15__N_55[6] (DurationTimer_15__N_55[6]), 
            .\DurationTimer_15__N_55[3] (DurationTimer_15__N_55[3]), .Clock_enable_11(Clock_enable_11), 
            .\HalfPeriodTimer_15__N_39[2] (HalfPeriodTimer_15__N_39[2]), .\HalfPeriodTimer_15__N_39[5] (HalfPeriodTimer_15__N_39[5]), 
            .\HalfPeriodTimer_15__N_39[6] (HalfPeriodTimer_15__N_39[6]), .\DurationTimer_15__N_5[3] (DurationTimer_15__N_5[3]), 
            .\DurationTimer_15__N_5[5] (DurationTimer_15__N_5[5]), .\DurationTimer_15__N_5[6] (DurationTimer_15__N_5[6]), 
            .\DurationTimer_15__N_5[7] (DurationTimer_15__N_5[7]), .\DurationTimer_15__N_5[8] (DurationTimer_15__N_5[8]), 
            .\DurationTimer_15__N_5[9] (DurationTimer_15__N_5[9]), .n37(n37), 
            .Strobe_o_N_128(Strobe_o_N_128), .Clock_enable_6(Clock_enable_6), 
            .Strobe_o_N_140(Strobe_o_N_140), .n40(n40)) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs16/impl1/source/top.v(27[4] 37[3])
    VLO i1 (.Z(GND_net));
    
endmodule
//
// Verilog Description of module TSALL
// module not written out since it is a black-box. 
//

//
// Verilog Description of module PUR
// module not written out since it is a black-box. 
//

//
// Verilog Description of module \SoundGenerator(CLOCK_HZ=14000000) 
//

module \SoundGenerator(CLOCK_HZ=14000000)  (n31, Busy_o_c, Stop_i_c, GND_net, 
            TickMicro, \HalfPeriodCopy[6] , Clock, Clock_enable_1, n387, 
            SoundWave_o_c, Play_i_c, n206, n205, n209, \DurationTimer_15__N_55[9] , 
            \DurationTimer_15__N_55[7] , \DurationTimer_15__N_55[8] , \DurationTimer_15__N_55[5] , 
            \DurationTimer_15__N_55[6] , \DurationTimer_15__N_55[3] , Clock_enable_11, 
            \HalfPeriodTimer_15__N_39[2] , \HalfPeriodTimer_15__N_39[5] , 
            \HalfPeriodTimer_15__N_39[6] , \DurationTimer_15__N_5[3] , \DurationTimer_15__N_5[5] , 
            \DurationTimer_15__N_5[6] , \DurationTimer_15__N_5[7] , \DurationTimer_15__N_5[8] , 
            \DurationTimer_15__N_5[9] , n37, Strobe_o_N_128, Clock_enable_6, 
            Strobe_o_N_140, n40) /* synthesis syn_module_defined=1 */ ;
    output n31;
    output Busy_o_c;
    input Stop_i_c;
    input GND_net;
    output TickMicro;
    output \HalfPeriodCopy[6] ;
    input Clock;
    input Clock_enable_1;
    input n387;
    output SoundWave_o_c;
    input Play_i_c;
    output n206;
    output n205;
    output n209;
    output \DurationTimer_15__N_55[9] ;
    output \DurationTimer_15__N_55[7] ;
    output \DurationTimer_15__N_55[8] ;
    output \DurationTimer_15__N_55[5] ;
    output \DurationTimer_15__N_55[6] ;
    output \DurationTimer_15__N_55[3] ;
    input Clock_enable_11;
    input \HalfPeriodTimer_15__N_39[2] ;
    input \HalfPeriodTimer_15__N_39[5] ;
    input \HalfPeriodTimer_15__N_39[6] ;
    input \DurationTimer_15__N_5[3] ;
    input \DurationTimer_15__N_5[5] ;
    input \DurationTimer_15__N_5[6] ;
    input \DurationTimer_15__N_5[7] ;
    input \DurationTimer_15__N_5[8] ;
    input \DurationTimer_15__N_5[9] ;
    input n37;
    output Strobe_o_N_128;
    input Clock_enable_6;
    output Strobe_o_N_140;
    input n40;
    
    wire Clock /* synthesis is_clock=1, SET_AS_NETWORK=Clock */ ;   // c:/lattice/kurs16/impl1/source/top.v(15[7:12])
    wire [15:0]HalfPeriodTimer;   // c:/lattice/kurs16/impl1/source/sound_generator.v(74[13:28])
    
    wire n18;
    wire [15:0]n195;
    wire [15:0]n213;
    
    wire n269, TickMilli;
    wire [15:0]DurationTimer;   // c:/lattice/kurs16/impl1/source/sound_generator.v(45[13:26])
    wire [15:0]DurationTimer_15__N_55;
    
    wire n17, Clock_enable_20, n274, n275, Signal, Clock_enable_4, 
        n126, Signal_N_93, n28, n22, n28_adj_142, n22_adj_143, n30, 
        n26, n116, n18_adj_144, n273, n272, n271, n270, n268, 
        n267, n266, n265, n264, n263, n262, n17_adj_145, n30_adj_146, 
        n26_adj_147, n277, n276;
    
    LUT4 i2_2_lut (.A(HalfPeriodTimer[1]), .B(HalfPeriodTimer[4]), .Z(n18)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(87[9:33])
    defparam i2_2_lut.init = 16'heeee;
    LUT4 i189_2_lut (.A(n195[7]), .B(n31), .Z(n213[7])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i189_2_lut.init = 16'h8888;
    CCU2D add_45_17 (.A0(TickMilli), .B0(Busy_o_c), .C0(Stop_i_c), .D0(DurationTimer[15]), 
          .A1(GND_net), .B1(GND_net), .C1(GND_net), .D1(GND_net), .CIN(n269), 
          .S0(DurationTimer_15__N_55[15]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(53[8] 54[23])
    defparam add_45_17.INIT0 = 16'h07ff;
    defparam add_45_17.INIT1 = 16'h0000;
    defparam add_45_17.INJECT1_0 = "NO";
    defparam add_45_17.INJECT1_1 = "NO";
    LUT4 i1_2_lut (.A(DurationTimer[0]), .B(DurationTimer[6]), .Z(n17)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(58[18:32])
    defparam i1_2_lut.init = 16'heeee;
    LUT4 i1_2_lut_rep_1_3_lut (.A(Busy_o_c), .B(TickMicro), .C(\HalfPeriodCopy[6] ), 
         .Z(Clock_enable_20)) /* synthesis lut_function=(A (B (C))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(86[8:27])
    defparam i1_2_lut_rep_1_3_lut.init = 16'h8080;
    FD1P3AX HalfPeriodCopy__i1 (.D(n387), .SP(Clock_enable_1), .CK(Clock), 
            .Q(\HalfPeriodCopy[6] )) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodCopy__i1.GSR = "ENABLED";
    CCU2D sub_29_add_2_11 (.A0(HalfPeriodTimer[9]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HalfPeriodTimer[10]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n274), .COUT(n275), .S0(n195[9]), .S1(n195[10]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(91[26:48])
    defparam sub_29_add_2_11.INIT0 = 16'h5555;
    defparam sub_29_add_2_11.INIT1 = 16'h5555;
    defparam sub_29_add_2_11.INJECT1_0 = "NO";
    defparam sub_29_add_2_11.INJECT1_1 = "NO";
    LUT4 i190_2_lut (.A(n195[8]), .B(n31), .Z(n213[8])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i190_2_lut.init = 16'h8888;
    FD1P3IX HalfPeriodTimer_i0 (.D(n213[0]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[0])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i0.GSR = "ENABLED";
    FD1S3IX DurationTimer_i0 (.D(DurationTimer_15__N_55[0]), .CK(Clock), 
            .CD(Clock_enable_1), .Q(DurationTimer[0])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i0.GSR = "ENABLED";
    FD1P3IX Signal_46 (.D(Signal_N_93), .SP(Clock_enable_4), .CD(n126), 
            .CK(Clock), .Q(Signal)) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam Signal_46.GSR = "ENABLED";
    LUT4 i12_4_lut (.A(HalfPeriodTimer[11]), .B(HalfPeriodTimer[9]), .C(HalfPeriodTimer[14]), 
         .D(HalfPeriodTimer[15]), .Z(n28)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(87[9:33])
    defparam i12_4_lut.init = 16'hfffe;
    LUT4 i191_2_lut (.A(n195[9]), .B(n31), .Z(n213[9])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i191_2_lut.init = 16'h8888;
    LUT4 i6_2_lut (.A(HalfPeriodTimer[2]), .B(HalfPeriodTimer[7]), .Z(n22)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(87[9:33])
    defparam i6_2_lut.init = 16'heeee;
    FD1P3IX HalfPeriodTimer_i1 (.D(n213[1]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[1])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i1.GSR = "ENABLED";
    LUT4 i12_4_lut_adj_3 (.A(DurationTimer[11]), .B(DurationTimer[9]), .C(DurationTimer[14]), 
         .D(DurationTimer[15]), .Z(n28_adj_142)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(58[18:32])
    defparam i12_4_lut_adj_3.init = 16'hfffe;
    LUT4 i6_2_lut_adj_4 (.A(DurationTimer[2]), .B(DurationTimer[7]), .Z(n22_adj_143)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(58[18:32])
    defparam i6_2_lut_adj_4.init = 16'heeee;
    LUT4 i164_2_lut (.A(Signal), .B(Busy_o_c), .Z(SoundWave_o_c)) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(100[23:45])
    defparam i164_2_lut.init = 16'h8888;
    LUT4 i14_4_lut (.A(DurationTimer[10]), .B(n28_adj_142), .C(n22_adj_143), 
         .D(DurationTimer[12]), .Z(n30)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(58[18:32])
    defparam i14_4_lut.init = 16'hfffe;
    LUT4 i10_4_lut (.A(DurationTimer[8]), .B(DurationTimer[3]), .C(DurationTimer[13]), 
         .D(DurationTimer[5]), .Z(n26)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(58[18:32])
    defparam i10_4_lut.init = 16'hfffe;
    LUT4 i192_2_lut (.A(n195[10]), .B(n31), .Z(n213[10])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i192_2_lut.init = 16'h8888;
    LUT4 i193_2_lut (.A(n195[11]), .B(n31), .Z(n213[11])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i193_2_lut.init = 16'h8888;
    LUT4 i194_2_lut (.A(n195[12]), .B(n31), .Z(n213[12])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i194_2_lut.init = 16'h8888;
    LUT4 i195_2_lut (.A(n195[13]), .B(n31), .Z(n213[13])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i195_2_lut.init = 16'h8888;
    LUT4 i1_2_lut_3_lut (.A(Busy_o_c), .B(TickMicro), .C(Play_i_c), .Z(Clock_enable_4)) /* synthesis lut_function=(A (B (C))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(86[8:27])
    defparam i1_2_lut_3_lut.init = 16'h8080;
    LUT4 i76_2_lut (.A(\HalfPeriodCopy[6] ), .B(Play_i_c), .Z(n126)) /* synthesis lut_function=(!(A+!(B))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam i76_2_lut.init = 16'h4444;
    LUT4 i1_2_lut_adj_5 (.A(Signal), .B(n31), .Z(Signal_N_93)) /* synthesis lut_function=(A (B)+!A !(B)) */ ;
    defparam i1_2_lut_adj_5.init = 16'h9999;
    LUT4 i186_2_lut (.A(n195[1]), .B(n31), .Z(n213[1])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i186_2_lut.init = 16'h8888;
    LUT4 i65_3_lut (.A(Stop_i_c), .B(Busy_o_c), .C(TickMilli), .Z(n116)) /* synthesis lut_function=(A+(B (C))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(53[8] 54[23])
    defparam i65_3_lut.init = 16'heaea;
    LUT4 i187_2_lut (.A(n195[3]), .B(n31), .Z(n213[3])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i187_2_lut.init = 16'h8888;
    LUT4 i188_2_lut (.A(n195[4]), .B(n31), .Z(n213[4])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i188_2_lut.init = 16'h8888;
    LUT4 i2_2_lut_adj_6 (.A(DurationTimer[1]), .B(DurationTimer[4]), .Z(n18_adj_144)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(58[18:32])
    defparam i2_2_lut_adj_6.init = 16'heeee;
    CCU2D sub_29_add_2_9 (.A0(HalfPeriodTimer[7]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HalfPeriodTimer[8]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n273), .COUT(n274), .S0(n195[7]), .S1(n195[8]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(91[26:48])
    defparam sub_29_add_2_9.INIT0 = 16'h5555;
    defparam sub_29_add_2_9.INIT1 = 16'h5555;
    defparam sub_29_add_2_9.INJECT1_0 = "NO";
    defparam sub_29_add_2_9.INJECT1_1 = "NO";
    LUT4 i196_2_lut (.A(n195[14]), .B(n31), .Z(n213[14])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i196_2_lut.init = 16'h8888;
    CCU2D sub_29_add_2_7 (.A0(HalfPeriodTimer[5]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HalfPeriodTimer[6]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n272), .COUT(n273), .S0(n206), .S1(n205));   // c:/lattice/kurs16/impl1/source/sound_generator.v(91[26:48])
    defparam sub_29_add_2_7.INIT0 = 16'h5555;
    defparam sub_29_add_2_7.INIT1 = 16'h5555;
    defparam sub_29_add_2_7.INJECT1_0 = "NO";
    defparam sub_29_add_2_7.INJECT1_1 = "NO";
    CCU2D sub_29_add_2_5 (.A0(HalfPeriodTimer[3]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HalfPeriodTimer[4]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n271), .COUT(n272), .S0(n195[3]), .S1(n195[4]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(91[26:48])
    defparam sub_29_add_2_5.INIT0 = 16'h5555;
    defparam sub_29_add_2_5.INIT1 = 16'h5555;
    defparam sub_29_add_2_5.INJECT1_0 = "NO";
    defparam sub_29_add_2_5.INJECT1_1 = "NO";
    CCU2D sub_29_add_2_3 (.A0(HalfPeriodTimer[1]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HalfPeriodTimer[2]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n270), .COUT(n271), .S0(n195[1]), .S1(n209));   // c:/lattice/kurs16/impl1/source/sound_generator.v(91[26:48])
    defparam sub_29_add_2_3.INIT0 = 16'h5555;
    defparam sub_29_add_2_3.INIT1 = 16'h5555;
    defparam sub_29_add_2_3.INJECT1_0 = "NO";
    defparam sub_29_add_2_3.INJECT1_1 = "NO";
    CCU2D sub_29_add_2_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(HalfPeriodTimer[0]), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .COUT(n270), .S1(n195[0]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(91[26:48])
    defparam sub_29_add_2_1.INIT0 = 16'hF000;
    defparam sub_29_add_2_1.INIT1 = 16'h5555;
    defparam sub_29_add_2_1.INJECT1_0 = "NO";
    defparam sub_29_add_2_1.INJECT1_1 = "NO";
    CCU2D add_45_15 (.A0(TickMilli), .B0(Busy_o_c), .C0(Stop_i_c), .D0(DurationTimer[13]), 
          .A1(TickMilli), .B1(Busy_o_c), .C1(Stop_i_c), .D1(DurationTimer[14]), 
          .CIN(n268), .COUT(n269), .S0(DurationTimer_15__N_55[13]), .S1(DurationTimer_15__N_55[14]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(53[8] 54[23])
    defparam add_45_15.INIT0 = 16'h07ff;
    defparam add_45_15.INIT1 = 16'h07ff;
    defparam add_45_15.INJECT1_0 = "NO";
    defparam add_45_15.INJECT1_1 = "NO";
    CCU2D add_45_13 (.A0(TickMilli), .B0(Busy_o_c), .C0(Stop_i_c), .D0(DurationTimer[11]), 
          .A1(TickMilli), .B1(Busy_o_c), .C1(Stop_i_c), .D1(DurationTimer[12]), 
          .CIN(n267), .COUT(n268), .S0(DurationTimer_15__N_55[11]), .S1(DurationTimer_15__N_55[12]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(53[8] 54[23])
    defparam add_45_13.INIT0 = 16'h07ff;
    defparam add_45_13.INIT1 = 16'h07ff;
    defparam add_45_13.INJECT1_0 = "NO";
    defparam add_45_13.INJECT1_1 = "NO";
    CCU2D add_45_11 (.A0(TickMilli), .B0(Busy_o_c), .C0(Stop_i_c), .D0(DurationTimer[9]), 
          .A1(TickMilli), .B1(Busy_o_c), .C1(Stop_i_c), .D1(DurationTimer[10]), 
          .CIN(n266), .COUT(n267), .S0(\DurationTimer_15__N_55[9] ), .S1(DurationTimer_15__N_55[10]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(53[8] 54[23])
    defparam add_45_11.INIT0 = 16'h07ff;
    defparam add_45_11.INIT1 = 16'h07ff;
    defparam add_45_11.INJECT1_0 = "NO";
    defparam add_45_11.INJECT1_1 = "NO";
    CCU2D add_45_9 (.A0(TickMilli), .B0(Busy_o_c), .C0(Stop_i_c), .D0(DurationTimer[7]), 
          .A1(TickMilli), .B1(Busy_o_c), .C1(Stop_i_c), .D1(DurationTimer[8]), 
          .CIN(n265), .COUT(n266), .S0(\DurationTimer_15__N_55[7] ), .S1(\DurationTimer_15__N_55[8] ));   // c:/lattice/kurs16/impl1/source/sound_generator.v(53[8] 54[23])
    defparam add_45_9.INIT0 = 16'h07ff;
    defparam add_45_9.INIT1 = 16'h07ff;
    defparam add_45_9.INJECT1_0 = "NO";
    defparam add_45_9.INJECT1_1 = "NO";
    CCU2D add_45_7 (.A0(TickMilli), .B0(Busy_o_c), .C0(Stop_i_c), .D0(DurationTimer[5]), 
          .A1(TickMilli), .B1(Busy_o_c), .C1(Stop_i_c), .D1(DurationTimer[6]), 
          .CIN(n264), .COUT(n265), .S0(\DurationTimer_15__N_55[5] ), .S1(\DurationTimer_15__N_55[6] ));   // c:/lattice/kurs16/impl1/source/sound_generator.v(53[8] 54[23])
    defparam add_45_7.INIT0 = 16'h07ff;
    defparam add_45_7.INIT1 = 16'h07ff;
    defparam add_45_7.INJECT1_0 = "NO";
    defparam add_45_7.INJECT1_1 = "NO";
    CCU2D add_45_5 (.A0(TickMilli), .B0(Busy_o_c), .C0(Stop_i_c), .D0(DurationTimer[3]), 
          .A1(TickMilli), .B1(Busy_o_c), .C1(Stop_i_c), .D1(DurationTimer[4]), 
          .CIN(n263), .COUT(n264), .S0(\DurationTimer_15__N_55[3] ), .S1(DurationTimer_15__N_55[4]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(53[8] 54[23])
    defparam add_45_5.INIT0 = 16'h07ff;
    defparam add_45_5.INIT1 = 16'h07ff;
    defparam add_45_5.INJECT1_0 = "NO";
    defparam add_45_5.INJECT1_1 = "NO";
    CCU2D add_45_3 (.A0(TickMilli), .B0(Busy_o_c), .C0(Stop_i_c), .D0(DurationTimer[1]), 
          .A1(TickMilli), .B1(Busy_o_c), .C1(Stop_i_c), .D1(DurationTimer[2]), 
          .CIN(n262), .COUT(n263), .S0(DurationTimer_15__N_55[1]), .S1(DurationTimer_15__N_55[2]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(53[8] 54[23])
    defparam add_45_3.INIT0 = 16'h07ff;
    defparam add_45_3.INIT1 = 16'h07ff;
    defparam add_45_3.INJECT1_0 = "NO";
    defparam add_45_3.INJECT1_1 = "NO";
    LUT4 i197_2_lut (.A(n195[15]), .B(n31), .Z(n213[15])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i197_2_lut.init = 16'h8888;
    CCU2D add_45_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Busy_o_c), .B1(TickMilli), .C1(DurationTimer[0]), .D1(n116), 
          .COUT(n262), .S1(DurationTimer_15__N_55[0]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(53[8] 54[23])
    defparam add_45_1.INIT0 = 16'h0000;
    defparam add_45_1.INIT1 = 16'h8777;
    defparam add_45_1.INJECT1_0 = "NO";
    defparam add_45_1.INJECT1_1 = "NO";
    LUT4 i160_2_lut (.A(n195[0]), .B(n31), .Z(n213[0])) /* synthesis lut_function=(A (B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(90[15] 92[9])
    defparam i160_2_lut.init = 16'h8888;
    LUT4 i15_4_lut (.A(n17_adj_145), .B(n30_adj_146), .C(n26_adj_147), 
         .D(n18), .Z(n31)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(87[9:33])
    defparam i15_4_lut.init = 16'hfffe;
    LUT4 i1_2_lut_adj_7 (.A(HalfPeriodTimer[0]), .B(HalfPeriodTimer[6]), 
         .Z(n17_adj_145)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(87[9:33])
    defparam i1_2_lut_adj_7.init = 16'heeee;
    FD1P3AX HalfPeriodTimer_i2 (.D(\HalfPeriodTimer_15__N_39[2] ), .SP(Clock_enable_11), 
            .CK(Clock), .Q(HalfPeriodTimer[2])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i2.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i3 (.D(n213[3]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[3])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i3.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i4 (.D(n213[4]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[4])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i4.GSR = "ENABLED";
    FD1P3AX HalfPeriodTimer_i5 (.D(\HalfPeriodTimer_15__N_39[5] ), .SP(Clock_enable_11), 
            .CK(Clock), .Q(HalfPeriodTimer[5])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i5.GSR = "ENABLED";
    FD1P3AX HalfPeriodTimer_i6 (.D(\HalfPeriodTimer_15__N_39[6] ), .SP(Clock_enable_11), 
            .CK(Clock), .Q(HalfPeriodTimer[6])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i6.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i7 (.D(n213[7]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[7])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i7.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i8 (.D(n213[8]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[8])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i8.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i9 (.D(n213[9]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[9])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i9.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i10 (.D(n213[10]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[10])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i10.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i11 (.D(n213[11]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[11])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i11.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i12 (.D(n213[12]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[12])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i12.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i13 (.D(n213[13]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[13])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i13.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i14 (.D(n213[14]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[14])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i14.GSR = "ENABLED";
    FD1P3IX HalfPeriodTimer_i15 (.D(n213[15]), .SP(Clock_enable_20), .CD(Clock_enable_1), 
            .CK(Clock), .Q(HalfPeriodTimer[15])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(80[12] 97[6])
    defparam HalfPeriodTimer_i15.GSR = "ENABLED";
    FD1S3IX DurationTimer_i1 (.D(DurationTimer_15__N_55[1]), .CK(Clock), 
            .CD(Clock_enable_1), .Q(DurationTimer[1])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i1.GSR = "ENABLED";
    FD1S3IX DurationTimer_i2 (.D(DurationTimer_15__N_55[2]), .CK(Clock), 
            .CD(Clock_enable_1), .Q(DurationTimer[2])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i2.GSR = "ENABLED";
    FD1S3AX DurationTimer_i3 (.D(\DurationTimer_15__N_5[3] ), .CK(Clock), 
            .Q(DurationTimer[3])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i3.GSR = "ENABLED";
    FD1S3IX DurationTimer_i4 (.D(DurationTimer_15__N_55[4]), .CK(Clock), 
            .CD(Clock_enable_1), .Q(DurationTimer[4])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i4.GSR = "ENABLED";
    FD1S3AX DurationTimer_i5 (.D(\DurationTimer_15__N_5[5] ), .CK(Clock), 
            .Q(DurationTimer[5])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i5.GSR = "ENABLED";
    FD1S3AX DurationTimer_i6 (.D(\DurationTimer_15__N_5[6] ), .CK(Clock), 
            .Q(DurationTimer[6])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i6.GSR = "ENABLED";
    FD1S3AX DurationTimer_i7 (.D(\DurationTimer_15__N_5[7] ), .CK(Clock), 
            .Q(DurationTimer[7])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i7.GSR = "ENABLED";
    FD1S3AX DurationTimer_i8 (.D(\DurationTimer_15__N_5[8] ), .CK(Clock), 
            .Q(DurationTimer[8])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i8.GSR = "ENABLED";
    FD1S3AX DurationTimer_i9 (.D(\DurationTimer_15__N_5[9] ), .CK(Clock), 
            .Q(DurationTimer[9])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i9.GSR = "ENABLED";
    FD1S3IX DurationTimer_i10 (.D(DurationTimer_15__N_55[10]), .CK(Clock), 
            .CD(Clock_enable_1), .Q(DurationTimer[10])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i10.GSR = "ENABLED";
    FD1S3IX DurationTimer_i11 (.D(DurationTimer_15__N_55[11]), .CK(Clock), 
            .CD(Clock_enable_1), .Q(DurationTimer[11])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i11.GSR = "ENABLED";
    FD1S3IX DurationTimer_i12 (.D(DurationTimer_15__N_55[12]), .CK(Clock), 
            .CD(Clock_enable_1), .Q(DurationTimer[12])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i12.GSR = "ENABLED";
    FD1S3IX DurationTimer_i13 (.D(DurationTimer_15__N_55[13]), .CK(Clock), 
            .CD(Clock_enable_1), .Q(DurationTimer[13])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i13.GSR = "ENABLED";
    FD1S3IX DurationTimer_i14 (.D(DurationTimer_15__N_55[14]), .CK(Clock), 
            .CD(Clock_enable_1), .Q(DurationTimer[14])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i14.GSR = "ENABLED";
    FD1S3IX DurationTimer_i15 (.D(DurationTimer_15__N_55[15]), .CK(Clock), 
            .CD(Clock_enable_1), .Q(DurationTimer[15])) /* synthesis LSE_LINE_FILE_ID=5, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=27, LSE_RLINE=37 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(49[8] 54[23])
    defparam DurationTimer_i15.GSR = "ENABLED";
    CCU2D sub_29_add_2_17 (.A0(HalfPeriodTimer[15]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(GND_net), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .CIN(n277), .S0(n195[15]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(91[26:48])
    defparam sub_29_add_2_17.INIT0 = 16'h5555;
    defparam sub_29_add_2_17.INIT1 = 16'h0000;
    defparam sub_29_add_2_17.INJECT1_0 = "NO";
    defparam sub_29_add_2_17.INJECT1_1 = "NO";
    CCU2D sub_29_add_2_15 (.A0(HalfPeriodTimer[13]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HalfPeriodTimer[14]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n276), .COUT(n277), .S0(n195[13]), .S1(n195[14]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(91[26:48])
    defparam sub_29_add_2_15.INIT0 = 16'h5555;
    defparam sub_29_add_2_15.INIT1 = 16'h5555;
    defparam sub_29_add_2_15.INJECT1_0 = "NO";
    defparam sub_29_add_2_15.INJECT1_1 = "NO";
    CCU2D sub_29_add_2_13 (.A0(HalfPeriodTimer[11]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HalfPeriodTimer[12]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n275), .COUT(n276), .S0(n195[11]), .S1(n195[12]));   // c:/lattice/kurs16/impl1/source/sound_generator.v(91[26:48])
    defparam sub_29_add_2_13.INIT0 = 16'h5555;
    defparam sub_29_add_2_13.INIT1 = 16'h5555;
    defparam sub_29_add_2_13.INJECT1_0 = "NO";
    defparam sub_29_add_2_13.INJECT1_1 = "NO";
    LUT4 i15_4_lut_adj_8 (.A(n17), .B(n30), .C(n26), .D(n18_adj_144), 
         .Z(Busy_o_c)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(58[18:32])
    defparam i15_4_lut_adj_8.init = 16'hfffe;
    LUT4 i10_4_lut_adj_9 (.A(HalfPeriodTimer[8]), .B(HalfPeriodTimer[3]), 
         .C(HalfPeriodTimer[13]), .D(HalfPeriodTimer[5]), .Z(n26_adj_147)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(87[9:33])
    defparam i10_4_lut_adj_9.init = 16'hfffe;
    LUT4 i14_4_lut_adj_10 (.A(HalfPeriodTimer[10]), .B(n28), .C(n22), 
         .D(HalfPeriodTimer[12]), .Z(n30_adj_146)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(87[9:33])
    defparam i14_4_lut_adj_10.init = 16'hfffe;
    \StrobeGenerator(CLOCK_HZ=14000000,PERIOD_US=1000)  StrobeGeneratorMilli (.Clock(Clock), 
            .n37(n37), .Strobe_o_N_128(Strobe_o_N_128), .TickMilli(TickMilli), 
            .Clock_enable_6(Clock_enable_6), .GND_net(GND_net)) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(25[4] 30[3])
    \StrobeGenerator(CLOCK_HZ=14000000,PERIOD_US=1)  StrobeGeneratorMicro (.TickMicro(TickMicro), 
            .Clock(Clock), .Clock_enable_6(Clock_enable_6), .Strobe_o_N_140(Strobe_o_N_140), 
            .n40(n40)) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs16/impl1/source/sound_generator.v(37[4] 42[3])
    
endmodule
//
// Verilog Description of module \StrobeGenerator(CLOCK_HZ=14000000,PERIOD_US=1000) 
//

module \StrobeGenerator(CLOCK_HZ=14000000,PERIOD_US=1000)  (Clock, n37, 
            Strobe_o_N_128, TickMilli, Clock_enable_6, GND_net) /* synthesis syn_module_defined=1 */ ;
    input Clock;
    input n37;
    output Strobe_o_N_128;
    output TickMilli;
    input Clock_enable_6;
    input GND_net;
    
    wire Clock /* synthesis is_clock=1, SET_AS_NETWORK=Clock */ ;   // c:/lattice/kurs16/impl1/source/top.v(15[7:12])
    wire [13:0]Counter;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(22[18:25])
    wire [13:0]n5;
    
    wire n26, n22, n24, n18, n284, n283, n282, n281, n280, 
        n279, n278;
    
    FD1S3JX Counter_i0 (.D(n5[0]), .CK(Clock), .PD(n37), .Q(Counter[0])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i0.GSR = "ENABLED";
    LUT4 i232_4_lut (.A(Counter[1]), .B(n26), .C(n22), .D(Counter[9]), 
         .Z(Strobe_o_N_128)) /* synthesis lut_function=(!(A+(B+(C+(D))))) */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(29[7:15])
    defparam i232_4_lut.init = 16'h0001;
    LUT4 i12_4_lut (.A(Counter[2]), .B(n24), .C(n18), .D(Counter[5]), 
         .Z(n26)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(29[7:15])
    defparam i12_4_lut.init = 16'hfffe;
    LUT4 i8_4_lut (.A(Counter[6]), .B(Counter[0]), .C(Counter[10]), .D(Counter[13]), 
         .Z(n22)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(29[7:15])
    defparam i8_4_lut.init = 16'hfffe;
    LUT4 i10_4_lut (.A(Counter[7]), .B(Counter[12]), .C(Counter[11]), 
         .D(Counter[4]), .Z(n24)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(29[7:15])
    defparam i10_4_lut.init = 16'hfffe;
    LUT4 i4_2_lut (.A(Counter[8]), .B(Counter[3]), .Z(n18)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(29[7:15])
    defparam i4_2_lut.init = 16'heeee;
    FD1P3AX Strobe_o_15 (.D(Strobe_o_N_128), .SP(Clock_enable_6), .CK(Clock), 
            .Q(TickMilli)) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Strobe_o_15.GSR = "ENABLED";
    FD1S3JX Counter_i1 (.D(n5[1]), .CK(Clock), .PD(n37), .Q(Counter[1])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i1.GSR = "ENABLED";
    CCU2D sub_6_add_2_15 (.A0(Counter[13]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(GND_net), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .CIN(n284), .S0(n5[13]));   // c:/lattice/kurs16/impl1/source/strobe_generator.v(33[17:31])
    defparam sub_6_add_2_15.INIT0 = 16'h5555;
    defparam sub_6_add_2_15.INIT1 = 16'h0000;
    defparam sub_6_add_2_15.INJECT1_0 = "NO";
    defparam sub_6_add_2_15.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_13 (.A0(Counter[11]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[12]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n283), .COUT(n284), .S0(n5[11]), .S1(n5[12]));   // c:/lattice/kurs16/impl1/source/strobe_generator.v(33[17:31])
    defparam sub_6_add_2_13.INIT0 = 16'h5555;
    defparam sub_6_add_2_13.INIT1 = 16'h5555;
    defparam sub_6_add_2_13.INJECT1_0 = "NO";
    defparam sub_6_add_2_13.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_11 (.A0(Counter[9]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[10]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n282), .COUT(n283), .S0(n5[9]), .S1(n5[10]));   // c:/lattice/kurs16/impl1/source/strobe_generator.v(33[17:31])
    defparam sub_6_add_2_11.INIT0 = 16'h5555;
    defparam sub_6_add_2_11.INIT1 = 16'h5555;
    defparam sub_6_add_2_11.INJECT1_0 = "NO";
    defparam sub_6_add_2_11.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_9 (.A0(Counter[7]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[8]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n281), .COUT(n282), .S0(n5[7]), .S1(n5[8]));   // c:/lattice/kurs16/impl1/source/strobe_generator.v(33[17:31])
    defparam sub_6_add_2_9.INIT0 = 16'h5555;
    defparam sub_6_add_2_9.INIT1 = 16'h5555;
    defparam sub_6_add_2_9.INJECT1_0 = "NO";
    defparam sub_6_add_2_9.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_7 (.A0(Counter[5]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[6]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n280), .COUT(n281), .S0(n5[5]), .S1(n5[6]));   // c:/lattice/kurs16/impl1/source/strobe_generator.v(33[17:31])
    defparam sub_6_add_2_7.INIT0 = 16'h5555;
    defparam sub_6_add_2_7.INIT1 = 16'h5555;
    defparam sub_6_add_2_7.INJECT1_0 = "NO";
    defparam sub_6_add_2_7.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_5 (.A0(Counter[3]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[4]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n279), .COUT(n280), .S0(n5[3]), .S1(n5[4]));   // c:/lattice/kurs16/impl1/source/strobe_generator.v(33[17:31])
    defparam sub_6_add_2_5.INIT0 = 16'h5555;
    defparam sub_6_add_2_5.INIT1 = 16'h5555;
    defparam sub_6_add_2_5.INJECT1_0 = "NO";
    defparam sub_6_add_2_5.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_3 (.A0(Counter[1]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[2]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n278), .COUT(n279), .S0(n5[1]), .S1(n5[2]));   // c:/lattice/kurs16/impl1/source/strobe_generator.v(33[17:31])
    defparam sub_6_add_2_3.INIT0 = 16'h5555;
    defparam sub_6_add_2_3.INIT1 = 16'h5555;
    defparam sub_6_add_2_3.INJECT1_0 = "NO";
    defparam sub_6_add_2_3.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Counter[0]), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .COUT(n278), .S1(n5[0]));   // c:/lattice/kurs16/impl1/source/strobe_generator.v(33[17:31])
    defparam sub_6_add_2_1.INIT0 = 16'hF000;
    defparam sub_6_add_2_1.INIT1 = 16'h5555;
    defparam sub_6_add_2_1.INJECT1_0 = "NO";
    defparam sub_6_add_2_1.INJECT1_1 = "NO";
    FD1S3JX Counter_i2 (.D(n5[2]), .CK(Clock), .PD(n37), .Q(Counter[2])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i2.GSR = "ENABLED";
    FD1S3JX Counter_i3 (.D(n5[3]), .CK(Clock), .PD(n37), .Q(Counter[3])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i3.GSR = "ENABLED";
    FD1S3IX Counter_i4 (.D(n5[4]), .CK(Clock), .CD(n37), .Q(Counter[4])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i4.GSR = "ENABLED";
    FD1S3JX Counter_i5 (.D(n5[5]), .CK(Clock), .PD(n37), .Q(Counter[5])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i5.GSR = "ENABLED";
    FD1S3IX Counter_i6 (.D(n5[6]), .CK(Clock), .CD(n37), .Q(Counter[6])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i6.GSR = "ENABLED";
    FD1S3JX Counter_i7 (.D(n5[7]), .CK(Clock), .PD(n37), .Q(Counter[7])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i7.GSR = "ENABLED";
    FD1S3IX Counter_i8 (.D(n5[8]), .CK(Clock), .CD(n37), .Q(Counter[8])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i8.GSR = "ENABLED";
    FD1S3JX Counter_i9 (.D(n5[9]), .CK(Clock), .PD(n37), .Q(Counter[9])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i9.GSR = "ENABLED";
    FD1S3JX Counter_i10 (.D(n5[10]), .CK(Clock), .PD(n37), .Q(Counter[10])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i10.GSR = "ENABLED";
    FD1S3IX Counter_i11 (.D(n5[11]), .CK(Clock), .CD(n37), .Q(Counter[11])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i11.GSR = "ENABLED";
    FD1S3JX Counter_i12 (.D(n5[12]), .CK(Clock), .PD(n37), .Q(Counter[12])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i12.GSR = "ENABLED";
    FD1S3JX Counter_i13 (.D(n5[13]), .CK(Clock), .PD(n37), .Q(Counter[13])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i13.GSR = "ENABLED";
    
endmodule
//
// Verilog Description of module \StrobeGenerator(CLOCK_HZ=14000000,PERIOD_US=1) 
//

module \StrobeGenerator(CLOCK_HZ=14000000,PERIOD_US=1)  (TickMicro, Clock, 
            Clock_enable_6, Strobe_o_N_140, n40) /* synthesis syn_module_defined=1 */ ;
    output TickMicro;
    input Clock;
    input Clock_enable_6;
    output Strobe_o_N_140;
    input n40;
    
    wire Clock /* synthesis is_clock=1, SET_AS_NETWORK=Clock */ ;   // c:/lattice/kurs16/impl1/source/top.v(15[7:12])
    wire [3:0]Counter;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(22[18:25])
    wire [3:0]n5;
    
    wire n176, n178, n180;
    
    FD1P3AX Strobe_o_15 (.D(Strobe_o_N_140), .SP(Clock_enable_6), .CK(Clock), 
            .Q(TickMicro)) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=37, LSE_RLINE=42 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Strobe_o_15.GSR = "ENABLED";
    FD1S3JX Counter_i0 (.D(n5[0]), .CK(Clock), .PD(n40), .Q(Counter[0])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=37, LSE_RLINE=42 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i0.GSR = "ENABLED";
    LUT4 i1_2_lut (.A(Counter[1]), .B(Counter[0]), .Z(n176)) /* synthesis lut_function=(A (B)+!A !(B)) */ ;
    defparam i1_2_lut.init = 16'h9999;
    LUT4 i236_3_lut_4_lut (.A(Counter[0]), .B(Counter[1]), .C(Counter[3]), 
         .D(Counter[2]), .Z(Strobe_o_N_140)) /* synthesis lut_function=(!(A+(B+(C+(D))))) */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(29[7:15])
    defparam i236_3_lut_4_lut.init = 16'h0001;
    LUT4 i1_2_lut_3_lut (.A(Counter[0]), .B(Counter[1]), .C(Counter[2]), 
         .Z(n178)) /* synthesis lut_function=(A (C)+!A (B (C)+!B !(C))) */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(29[7:15])
    defparam i1_2_lut_3_lut.init = 16'he1e1;
    LUT4 i1_3_lut_4_lut (.A(Counter[0]), .B(Counter[1]), .C(Counter[2]), 
         .D(Counter[3]), .Z(n180)) /* synthesis lut_function=(A (D)+!A (B (D)+!B (C (D)+!C !(D)))) */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(29[7:15])
    defparam i1_3_lut_4_lut.init = 16'hfe01;
    LUT4 i87_1_lut (.A(Counter[0]), .Z(n5[0])) /* synthesis lut_function=(!(A)) */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(33[17:31])
    defparam i87_1_lut.init = 16'h5555;
    FD1S3IX Counter_i1 (.D(n176), .CK(Clock), .CD(n40), .Q(Counter[1])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=37, LSE_RLINE=42 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i1.GSR = "ENABLED";
    FD1S3JX Counter_i2 (.D(n178), .CK(Clock), .PD(n40), .Q(Counter[2])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=37, LSE_RLINE=42 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i2.GSR = "ENABLED";
    FD1S3JX Counter_i3 (.D(n180), .CK(Clock), .PD(n40), .Q(Counter[3])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=37, LSE_RLINE=42 */ ;   // c:/lattice/kurs16/impl1/source/strobe_generator.v(28[12] 38[6])
    defparam Counter_i3.GSR = "ENABLED";
    
endmodule
